%{!?python_sitearch: %define python_sitearch %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib(1)")}
%{!?python_sitelib: %define python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}

%define dbus_glib_version 0.70
%define dbus_version 0.90

Summary: D-Bus Python Bindings 
Name: dbus-python
Version: 0.82.3
Release: 1%{?dist}
URL: http://www.freedesktop.org/software/dbus/
Source0: http://dbus.freedesktop.org/releases/dbus-python/%{name}-%{version}.tar.gz

License: AFL/GPL
Group: System Environment/Libraries
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n) 
BuildRequires: dbus-devel >= %{dbus_version}
BuildRequires: dbus-glib-devel >= %{dbus_glib_version}
BuildRequires: python-devel

%description

D-Bus python bindings for use with python programs.   

%package devel
Summary: Libraries and headers for dbus-python
Group: Development/Libraries
Requires: %name = %{version}-%{release}

%description devel

Headers and static libraries for hooking up custom mainloops to the dbus python
bindings.

%prep
%setup -q

%build
%configure

make

#CFLAGS="$RPM_OPT_FLAGS" %{__python} setup.py build

%install
rm -rf %{buildroot}

make install DESTDIR=$RPM_BUILD_ROOT

#PKG_CONFIG_PATH=%{_libdir}/pkgconfig %{__python} setup.py install -O1 --skip-build --root $RPM_BUILD_ROOT

rm -f $RPM_BUILD_ROOT/%{python_sitearch}/*.la

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)

%doc COPYING ChangeLog README NEWS TODO
%doc doc/API_CHANGES.txt doc/HACKING.txt doc/tutorial.txt
%exclude %{_datadir}/doc/dbus-python

%dir %{python_sitelib}/dbus
%dir %{python_sitelib}/dbus/mainloop
%{python_sitearch}/*.so
%{python_sitelib}/*.py*
%{python_sitelib}/dbus/*.py*
%{python_sitelib}/dbus/mainloop/*.py*

%files devel
%defattr(-,root,root)

%{_includedir}/dbus-1.0/dbus/dbus-python.h
%{_libdir}/pkgconfig/dbus-python.pc

%changelog
* Mon Oct 29 2007 John (J5) Palmieri <johnp@redhat.com> - 0.82.3-1
- Update to 0.82.3
- Closing private dbus.Bus no longer raises KeyError (fd.o #12096)
- async_err_cb(MyException()) now works (fd.o #12403)
- dbus.service.Object.remove_from_connection no longer claims that multiple 
  exports aren't possible (fd.o #12432)
- Setting _dbus_error_name as a class attribute of DBusException subclasses 
  works again
- dbus.Bus(private=True) is deprecated (use dbus.bus.BusConnection in new code,
  dbus.Bus basically just adds the shared-connection behaviour)
- If you pass the timeout argument to call_async or an asynchronous proxy method  call and expect it to be in milliseconds, you should change the argument to be
  in seconds, and require dbus-python >= 0.82.2.  This does not effect Fedora 
  since I never pushed 0.82.1 which had the fix to make timeouts work.
- @dbus.service.method supports a rel_path_keyword argument for the benefit of 
  fallback objects, which provides the method implementation with the path of 
  the object within the exported subtree. For instance, if you have a fallback 
  object exported at /Fallback, and you call a method that has 
  rel_path_keyword='rel_path' on /Fallback and on /Fallback/Some/Where, the 
  method implementation will be called with rel_path='/' and with 
  rel_path='/Some/Where' respectively. (fd.o #11623)
- Introspect() now works on objects exported in more than one location. 
  (fd.o #11794)

* Thu Jul 13 2007 John (J5) Palmieri <johnp@redhat.com> - 0.82.1-1
- Update to 0.82.1

* Thu Jul 05 2007 John (J5) Palmieri <johnp@redhat.com> - 0.82.0-2
- Put all the docs in the correct place

* Thu Jul 05 2007 John (J5) Palmieri <johnp@redhat.com> - 0.82.0-1
- Update to latest 0.82.0 which has memory leak fixes
  and some enhansments 

* Tue Jun 12 2007 John (J5) Palmieri <johnp@redhat.com> - 0.81.1-1
- Update to latest 0.81.1 which has many bug fixes 

* Tue Apr 03 2007 David Zeuthen <davidz@redhat.com> - 0.80.2-3
- Rebuild

* Tue Apr 03 2007 David Zeuthen <davidz@redhat.com> - 0.80.2-2
- Don't examine args for functions declared METH_NOARGS (#235017)

* Tue Feb 13 2007 John (J5) Palmieri <johnp@redhat.com> - 0.80.2-1
- upgrade to 0.80.2 which fixes some memleaks

* Wed Jan 24 2007 John (J5) Palmieri <johnp@redhat.com> - 0.80.1-1
- upgrade to 0.80.1
- remove dependency on Pyrex and libxml2
- some API breakage, 
  please see http://dbus.freedesktop.org/doc/dbus-python/NEWS.html
  for notes on changes 

* Wed Jan  3 2007 David Zeuthen <davidz@redhat.com> - 0.70-9%{?dist}
- rebuild against new Pyrex

* Wed Dec  6 2006 Jeremy Katz <katzj@redhat.com> - 0.70-8
- rebuild against python 2.5

* Tue Nov  7 2006 Matthias Clasen <mclasen@redhat.com> - 0.70-7
- Fix a typo in the spec file

* Fri Aug 18 2006 Karsten Hopp <karsten@redhat.com> - 0.70-6
- require libxml2-python for site-packages/dbus/introspect_parser.py

* Thu Jul 20 2006 Jesse Keating <jkeating@redhat.com> - 0.70-5
- Remove unnecessary obsoletes

* Tue Jul 18 2006 John (J5) Palmieri <johnp@redhat.com> - 0.70-4
- Try python_sitearch this time

* Tue Jul 18 2006 John (J5) Palmieri <johnp@redhat.com> - 0.70-3
- Add a BR on dbus-devel

* Tue Jul 18 2006 John (J5) Palmieri <johnp@redhat.com> - 0.70-2
- Spec file cleanups
- Add PKG_CONFIG_PATH

* Mon Jul 17 2006 John (J5) Palmieri <johnp@redhat.com> - 0.70-1
- Initial package import
